Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.themoviedb.org/3/search/multi \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/search/multi"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/search/multi', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/2meX1nMdScFOoV4370rqHWKmXhY.jpg",
"first_air_date": "2021-09-17",
"genre_ids": [
10759,
9648,
18
],
"id": 93405,
"media_type": "tv",
"name": "Squid Game",
"origin_country": [
"KR"
],
"original_language": "ko",
"original_name": "오징어 게임",
"overview": "Hundreds of cash-strapped players accept a strange invitation to compete in children's games. Inside, a tempting prize awaits — with deadly high stakes.",
"popularity": 1601.261,
"poster_path": "/dDlEmu3EZ0Pgg93K2SVNLCjCSvE.jpg",
"vote_average": 7.835,
"vote_count": 14204
},
{
"adult": false,
"backdrop_path": "/fQsIJQxE1D0Y0NpWSKwo489y5px.jpg",
"first_air_date": "2023-11-22",
"genre_ids": [
10764
],
"id": 204082,
"media_type": "tv",
"name": "Squid Game: The Challenge",
"origin_country": [
"GB"
],
"original_language": "en",
"original_name": "Squid Game: The Challenge",
"overview": "In this reality competition show inspired by \"Squid Game,\" 456 players put their skills to the ultimate test for a life-changing $4.56 million prize.",
"popularity": 492.883,
"poster_path": "/eAjXAgdjPMZH9Ugub7XYPowFoS1.jpg",
"vote_average": 6.319,
"vote_count": 262
},
{
"adult": false,
"backdrop_path": "/lb2WCbppZ6iHfokg7ccmgjKPKNh.jpg",
"genre_ids": [
99
],
"id": 1214667,
"media_type": "movie",
"original_language": "en",
"original_title": "Making Squid Game: The Challenge",
"overview": "Go behind the scenes and witness how the \"Squid Game\" - inspired reality show transformed from a scripted drama to a cutthroat, nail-biting competition.",
"popularity": 27.465,
"poster_path": "/lUb97EhBhNBfQ9wmy8YMbiNLtGh.jpg",
"release_date": "2023-12-07",
"title": "Making Squid Game: The Challenge",
"video": false,
"vote_average": 5.1,
"vote_count": 10
},
{
"adult": false,
"backdrop_path": "/lu4khHVh8ZF9AbaxW26pp4yLubb.jpg",
"genre_ids": [],
"id": 1408248,
"media_type": "movie",
"original_language": "ko",
"original_title": "오징어 게임: 벽난로",
"overview": "Come share a toast in the Front Man's lair — but tread carefully, for you’re playing with fire.",
"popularity": 1.4,
"poster_path": "/wzWcY5MMJaezP4niGmmpdvluvaZ.jpg",
"release_date": "2024-12-12",
"title": "Squid Game: Fireplace",
"video": false,
"vote_average": 0,
"vote_count": 0
},
{
"adult": false,
"backdrop_path": "/qqId1R2RUWSm98I3UqrEN7hP548.jpg",
"genre_ids": [
12,
14
],
"id": 1388071,
"media_type": "movie",
"original_language": "en",
"original_title": "Squid Game 3: The Maclanky",
"overview": "Sir Knight and the Gray Wizard set off to end the terror of the Squid People once and for all.",
"popularity": 3.812,
"poster_path": "/e02t4nWmFRjGsUmxIbnRPSnkhzh.jpg",
"release_date": "2024-07-13",
"title": "Squid Game 3: The Maclanky",
"video": false,
"vote_average": 7,
"vote_count": 1
}
],
"total_pages": 1,
"total_results": 5
}This endpoint allows you to multi-search in one request. It retrieves multiple media types including TV shows, movies, and people in a single request.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This represents the Tv shows, movies, or people you want to look for.
"Squid Game"
This represents the page number.
"1"
Multi search
1
Show child attributes
[
{
"adult": false,
"backdrop_path": "/2meX1nMdScFOoV4370rqHWKmXhY.jpg",
"first_air_date": "2021-09-17",
"genre_ids": [10759, 9648, 18],
"id": 93405,
"media_type": "tv",
"name": "Squid Game",
"origin_country": ["KR"],
"original_language": "ko",
"original_name": "오징어 게임",
"overview": "Hundreds of cash-strapped players accept a strange invitation to compete in children's games. Inside, a tempting prize awaits — with deadly high stakes.",
"popularity": 1601.261,
"poster_path": "/dDlEmu3EZ0Pgg93K2SVNLCjCSvE.jpg",
"vote_average": 7.835,
"vote_count": 14204
},
{
"adult": false,
"backdrop_path": "/fQsIJQxE1D0Y0NpWSKwo489y5px.jpg",
"first_air_date": "2023-11-22",
"genre_ids": [10764],
"id": 204082,
"media_type": "tv",
"name": "Squid Game: The Challenge",
"origin_country": ["GB"],
"original_language": "en",
"original_name": "Squid Game: The Challenge",
"overview": "In this reality competition show inspired by \"Squid Game,\" 456 players put their skills to the ultimate test for a life-changing $4.56 million prize.",
"popularity": 492.883,
"poster_path": "/eAjXAgdjPMZH9Ugub7XYPowFoS1.jpg",
"vote_average": 6.319,
"vote_count": 262
},
{
"adult": false,
"backdrop_path": "/lb2WCbppZ6iHfokg7ccmgjKPKNh.jpg",
"genre_ids": [99],
"id": 1214667,
"media_type": "movie",
"original_language": "en",
"original_title": "Making Squid Game: The Challenge",
"overview": "Go behind the scenes and witness how the \"Squid Game\" - inspired reality show transformed from a scripted drama to a cutthroat, nail-biting competition.",
"popularity": 27.465,
"poster_path": "/lUb97EhBhNBfQ9wmy8YMbiNLtGh.jpg",
"release_date": "2023-12-07",
"title": "Making Squid Game: The Challenge",
"video": false,
"vote_average": 5.1,
"vote_count": 10
},
{
"adult": false,
"backdrop_path": "/lu4khHVh8ZF9AbaxW26pp4yLubb.jpg",
"genre_ids": [],
"id": 1408248,
"media_type": "movie",
"original_language": "ko",
"original_title": "오징어 게임: 벽난로",
"overview": "Come share a toast in the Front Man's lair — but tread carefully, for you’re playing with fire.",
"popularity": 1.4,
"poster_path": "/wzWcY5MMJaezP4niGmmpdvluvaZ.jpg",
"release_date": "2024-12-12",
"title": "Squid Game: Fireplace",
"video": false,
"vote_average": 0,
"vote_count": 0
},
{
"adult": false,
"backdrop_path": "/qqId1R2RUWSm98I3UqrEN7hP548.jpg",
"genre_ids": [12, 14],
"id": 1388071,
"media_type": "movie",
"original_language": "en",
"original_title": "Squid Game 3: The Maclanky",
"overview": "Sir Knight and the Gray Wizard set off to end the terror of the Squid People once and for all.",
"popularity": 3.812,
"poster_path": "/e02t4nWmFRjGsUmxIbnRPSnkhzh.jpg",
"release_date": "2024-07-13",
"title": "Squid Game 3: The Maclanky",
"video": false,
"vote_average": 7,
"vote_count": 1
}
]
1
5